// ============================================================================================
// ===																						===
// === levels.c																				===
// ===																						===
// === Functions defined:																	===
// ===		level2_pos_funct																===
// ===																						===
// ============================================================================================

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "phreshold.h"
#include "abimport.h"
#include "proto.h"


void level2_pos_funct( CONF_SHIP *des )
	{
	SHIP		*ship;
	int			cpt, n;
	int			a, c;
	
	for ( ship = ships, cpt = 0, n = 0; n < currlevel.nbships; n++, ship++ )
		{

		/*--- Not this set ? ---*/
		if ( ship->des != des )
			continue;
			
		if ( (c = cpt%7) < 4 )
			{
			a = (frame_width - 4 * des->sz[ ship->state ].w) / 5;
			ship->x = (c+1)*a + (c * des->sz[ ship->state ].w);
			ship->y = (cpt/7) * 100 + 20;
			}
		else
			{
			c -= 4;
			a = (frame_width - 3 * des->sz[ ship->state ].w) / 4;
			ship->x = (c+1)*a + (c * des->sz[ ship->state ].w);
			ship->y = 50 + (cpt/7) * 100 + 20;
			}
		cpt++;

		}	// for (n, ship)

	}	// level2_pos_funct
