
extern	void level2_pos_funct( CONF_SHIP *des );

CONF_LEVEL	conf_levels[] =
	{
	
	/*--- -------- ---*/
	/*--- Level #1 ---*/
	/*--- -------- ---*/

	{
	1,
	280,					// Fuel time (in seconds)
	1,						// Max nb of ships attacking at same time
	36,						// Max number of shells for this level

	{ {
	1,						// No of the bitmap
	FALSE,					// Do the ships move grouped ?
	FALSE, FALSE,			// Scrolling left-right, Scrolling bottom-top
	FALSE,					// Do ships have the same state ?
	NULL,					// Function to place ships
	15, 15,					// Nb of ships (btw [n1..n2])
	-128, 128,  16, 32,		// Generate a random X movement btw [x1, x2]
	-24, 24,  5, 8,			// Generate a random X movement btw [x1, x2]
	120,					// Bottom gap btw the bottom and ship

	/*--- Description of the ships ---*/
	TRUE,					// State transition: 01232101232... or 012301230...
	7,						// Nb of states of each ship
	{ {0, 0}, {-1, 1}, {0, 3}, {0, 0}, {0, 0}, {0, 0}, {1, 0} },
	10,						// Max nb of sec. of ship being hidden

	/*--- Attack ---*/
	80,					// Level of agressivity (shell drop)
	3, 5,					// Speed of shells (between)
	100,					// Frequency of the attacks

	} }
	},
	

	/*--- -------- ---*/
	/*--- Level #2 ---*/
	/*--- -------- ---*/

	{
	1,
	280,					// Fuel time (in seconds)
	0,						// Max nb of ships attacking at same time
	36,						// Max number of shells for this level

	{ {
	2,						// No of the bitmap
	TRUE,					// Do the ships move grouped ?
	TRUE, FALSE,			// Scrolling left-right, Scrolling bottom-top
	TRUE,					// Do ships have the same state ?
	level2_pos_funct,		// Function to place ships
	11, 11,					// Nb of ships (btw [n1..n2])
	18, 24, 2, 2,			// Generate a random X movement btw [x1, x2]
	-12, 12,  3, 5,			// Generate a random X movement btw [x1, x2]
	160,					// Bottom gap btw the bottom and ship

	/*--- Description of the ships ---*/
	FALSE,					// State transition: 01232101232... or 012301230...
	7,						// Nb of states of each ship
	{ {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0} },
	10,						// Max nb of sec. of ship being hidden

	/*--- Attack ---*/
	90,						// Level of agressivity (shell drop)
	3, 4,					// Speed of shells (between)
	500,					// Frequency of the attacks

	} }
	},


	/*--- -------- ---*/
	/*--- Level #3 ---*/
	/*--- -------- ---*/

	{
	1,
	280,					// Fuel time (in seconds)
	1,						// Max nb of ships attacking at same time
	32,						// Max number of shells for this level

	{ {
	3,						// No of the bitmap
	FALSE,					// Do the ships move grouped ?
	FALSE, FALSE,			// Scrolling left-right, Scrolling bottom-top
	FALSE,					// Do ships have the same state ?
	NULL,					// Function to place ships
	16, 16,					// Nb of ships (btw [n1..n2])
	-300, 300,  16, 30,		// Generate a random X movement btw [x1, x2]
	-12, 12,  3, 5,			// Generate a random X movement btw [x1, x2]
	190,					// Bottom gap btw the bottom and ship

	/*--- Description of the ships ---*/
	FALSE,					// State transition: 01232101232... or 012301230...
	3,						// Nb of states of each ship
	{ {0, 0}, {0, 0}, {0, 0} },
	10,						// Max nb of sec. of ship being hidden

	/*--- Attack ---*/
	100,					// Level of agressivity (shell drop)
	3, 5,					// Speed of shells (between)
	500,					// Frequency of the attacks

	} }
	},
	

	/*--- -------- ---*/
	/*--- Level #4 ---*/
	/*--- -------- ---*/

	{
	1,
	280,					// Fuel time (in seconds)
	1,						// Max nb of ships attacking at same time
	24,						// Max number of shells for this level

	{ {
	4,						// No of the bitmap
	FALSE,					// Do the ships move grouped ?
	TRUE, TRUE, 			// Scrolling left-right, Scrolling bottom-top
	FALSE,					// Do ships have the same state ?
	NULL,					// Function to place ships
	7, 7, 					// Nb of ships (btw [n1..n2])
	-64, -48,  8, 8,		// Generate a random X movement btw [x1, x2]
	12, 14,  3, 4,			// Generate a random X movement btw [x1, x2]
	190,					// Bottom gap btw the bottom and ship

	/*--- Description of the ships ---*/
	TRUE,					// State transition: 01232101232... or 012301230...
	4,						// Nb of states of each ship
	{ {0, 0}, {1, -1}, {1, -3}, {3, -2} },
	10,						// Max nb of sec. of ship being hidden

	/*--- Attack ---*/
	110,					// Level of agressivity (shell drop)
	3, 5,					// Speed of shells (between)
	800,					// Frequency of the attacks

	} }
	},
	

	/*--- -------- ---*/
	/*--- Level #5 ---*/
	/*--- -------- ---*/

	{
	1,
	280,					// Fuel time (in seconds)
	1,						// Max nb of ships attacking at same time
	64,						// Max number of shells for this level

	{ {
	5,						// No of the bitmap
	FALSE,					// Do the ships move grouped ?
	TRUE, FALSE,			// Scrolling left-right, Scrolling bottom-top
	FALSE,					// Do ships have the same state ?
	NULL,					// Function to place ships
	8, 8,					// Nb of ships (btw [n1..n2])
	18, 48, 2, 4,			// Generate a random X movement btw [x1, x2]
	-12, 12,  3, 5,			// Generate a random X movement btw [x1, x2]
	120,					// Bottom gap btw the bottom and ship

	/*--- Description of the ships ---*/
	TRUE,					// State transition: 01232101232... or 012301230...
	1,						// Nb of states of each ship
	{ {0, 0} },
	10,						// Max nb of sec. of ship being hidden

	/*--- Attack ---*/
	100,					// Level of agressivity (shell drop)
	3, 5,					// Speed of shells (between)
	350,					// Frequency of the attacks

	} }
	},

	
	/*--- -------- ---*/
	/*--- Level #6 ---*/
	/*--- -------- ---*/

	{
	1,
	280,					// Fuel time (in seconds)
	3,						// Max nb of ships attacking at same time
	32,						// Max number of shells for this level

	{ {
	6,						// No of the bitmap
	TRUE,					// Do the ships move grouped ?
	FALSE, FALSE,			// Scrolling left-right, Scrolling bottom-top
	FALSE,					// Do ships have the same state ?
	NULL,					// Function to place ships
	7, 7,					// Nb of ships (btw [n1..n2])
	-400, 400, 40, 40,		// Generate a random X movement btw [x1, x2]
	-40, 40,  8, 8,			// Generate a random X movement btw [x1, x2]
	120,					// Bottom gap btw the bottom and ship

	/*--- Description of the ships ---*/
	TRUE,					// State transition: 01232101232... or 012301230...
	3,						// Nb of states of each ship
	{ {0, 0}, {0, 0}, {-1, 0} },
	12,						// Max nb of sec. of ship being hidden

	/*--- Attack ---*/
	100,					// Level of agressivity (shell drop)
	3, 5,					// Speed of shells (between)
	400,					// Frequency of the attacks

	} }
	},

	
	/*--- -------- ---*/
	/*--- Level #7 ---*/
	/*--- -------- ---*/

	{
	1,
	280,					// Fuel time (in seconds)
	1,						// Max nb of ships attacking at same time
	48,						// Max number of shells for this level

	{ {
	7,						// No of the bitmap
	FALSE,					// Do the ships move grouped ?
	FALSE, FALSE,			// Scrolling left-right, Scrolling bottom-top
	FALSE,					// Do ships have the same state ?
	NULL,					// Function to place ships
	7, 7,					// Nb of ships (btw [n1..n2])
-2,2,1,1,
0,0,1,1,
//	-1000, 1000, 80, 80,	// Generate a random X movement btw [x1, x2]
//	-40, 40,  8, 8,			// Generate a random X movement btw [x1, x2]
	120,					// Bottom gap btw the bottom and ship

	/*--- Description of the ships ---*/
	TRUE,					// State transition: 01232101232... or 012301230...
	5,						// Nb of states of each ship
	{ {0, 0}, {0, 3}, {0, 4}, {-1, 0}, {1, 0} },
	10,						// Max nb of sec. of ship being hidden

	/*--- Attack ---*/
	95,						// Level of agressivity (shell drop)
	4, 5,					// Speed of shells (between)
	800,					// Frequency of the attacks

	} }
	},

	
	/*--- -------- ---*/
	/*--- Level #8 ---*/
	/*--- -------- ---*/

	{
	1,
	280,					// Fuel time (in seconds)
	3,						// Max nb of ships attacking at same time
	30,						// Max number of shells for this level

	{ {
	8,						// No of the bitmap
	FALSE,					// Do the ships move grouped ?
	FALSE, FALSE,			// Scrolling left-right, Scrolling bottom-top
	FALSE,					// Do ships have the same state ?
	NULL,					// Function to place ships
	13, 13,					// Nb of ships (btw [n1..n2])
	0, 0, 1, 1,	// Generate a random X movement btw [x1, x2]
	0, 0,  1, 1,			// Generate a random X movement btw [x1, x2]
//	-5000, 5000, 500, 500,	// Generate a random X movement btw [x1, x2]
//	-10, 10,  3, 5,			// Generate a random X movement btw [x1, x2]
	180,					// Bottom gap btw the bottom and ship

	/*--- Description of the ships ---*/
	FALSE,					// State transition: 01232101232... or 012301230...
	24,						// Nb of states of each ship
	{ {0, 0}, {0, 3}, {0, 3}, {0, 3}, {0, 5}, {0, 0}, {0, 1}, {-1, 0}, {-1, 0}, {-4, 0 },
	  {0, 0}, {-7, 0}, {-3, 0}, {-2, -1}, {-1, -1}, {1, -4}, {0, -4}, {1, -4}, {2, -3},
	  {3, -1}, {3, -1}, {3, 1}, {4, 0}, {1+1, 1+2} },
	10,						// Max nb of sec. of ship being hidden

	/*--- Attack ---*/
	100,					// Level of agressivity (shell drop)
	3, 4,					// Speed of shells (between)
	600,					// Frequency of the attacks

	} }
	},

	
	/*--- -------- ---*/
	/*--- Level #9 ---*/
	/*--- -------- ---*/

	{
	1,
	280,					// Fuel time (in seconds)
	2,						// Max nb of ships attacking at same time
	10,						// Max number of shells for this level

	{ {
	9,						// No of the bitmap
	TRUE,					// Do the ships move grouped ?
	TRUE, FALSE,			// Scrolling left-right, Scrolling bottom-top
	FALSE,					// Do ships have the same state ?
	NULL,					// Function to place ships
	14, 14,					// Nb of ships (btw [n1..n2])
	18, 21, 2, 2,			// Generate a random X movement btw [x1, x2]
	-10, 10,  3, 5,			// Generate a random X movement btw [x1, x2]
	180,					// Bottom gap btw the bottom and ship

	/*--- Description of the ships ---*/
	TRUE,					// State transition: 01232101232... or 012301230...
	6,						// Nb of states of each ship
	{ {0, 0}, {0, 1}, {0, 1}, {0, 1}, {0, 1}, {0, 1} },
	0,						// Max nb of sec. of ship being hidden

	/*--- Attack ---*/
	120,					// Level of agressivity (shell drop)
	3, 4,					// Speed of shells (between)
	350,					// Frequency of the attacks

	} }
	},

	
	/*--- --------- ---*/
	/*--- Level #10 ---*/
	/*--- --------- ---*/

	{
	2,
	280,					// Fuel time (in seconds)
	1,						// Max nb of ships attacking at same time
	36,						// Max number of shells for this level

	// SET #1
	{ {
	1,						// No of the bitmap
	FALSE,					// Do the ships move grouped ?
	FALSE, FALSE,			// Scrolling left-right, Scrolling bottom-top
	FALSE,					// Do ships have the same state ?
	NULL,					// Function to place ships
	4, 4,  					// Nb of ships (btw [n1..n2])
	-128, 128,  16, 32,		// Generate a random X movement btw [x1, x2]
	-24, 24,  5, 8,			// Generate a random X movement btw [x1, x2]
	120,					// Bottom gap btw the bottom and ship

	/*--- Description of the ships ---*/
	TRUE,					// State transition: 01232101232... or 012301230...
	7,						// Nb of states of each ship
	{ {0, 0}, {-1, 1}, {0, 3}, {0, 0}, {0, 0}, {0, 0}, {1, 0} },
	10,						// Max nb of sec. of ship being hidden

	/*--- Attack ---*/
	110,					// Level of agressivity (shell drop)
	3, 5,					// Speed of shells (between)
	500,					// Frequency of the attacks
	},

	// SET #2
	{
	2,						// No of the bitmap
	TRUE,					// Do the ships move grouped ?
	TRUE, FALSE,			// Scrolling left-right, Scrolling bottom-top
	TRUE,					// Do ships have the same state ?
	level2_pos_funct,		// Function to place ships
	11, 11,					// Nb of ships (btw [n1..n2])
	18, 24, 2, 2,			// Generate a random X movement btw [x1, x2]
	-12, 12,  3, 5,			// Generate a random X movement btw [x1, x2]
	200,					// Bottom gap btw the bottom and ship

	/*--- Description of the ships ---*/
	FALSE,					// State transition: 01232101232... or 012301230...
	7,						// Nb of states of each ship
	{ {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0} },
	10,						// Max nb of sec. of ship being hidden

	/*--- Attack ---*/
	90,						// Level of agressivity (shell drop)
	3, 4,					// Speed of shells (between)
	500,					// Frequency of the attacks

	} }

	},
	

	};

