/* Import (extern) header for application - AppBuilder 1.13A */

#include "abdefine.h"

extern const ApEventLink_t appl_links[];
extern ApEventLink_t internal_links[];

extern ApWindowLink_t phreshold;
extern const ApEventLink_t phreshold_links[];
extern ApWidget_t dsphreshold[17];

extern ApMenuLink_t menu_file;
extern const ApEventLink_t menu_file_links[];
extern ApMenuLink_t menu_help;
extern const ApEventLink_t menu_help_links[];
extern ApDialogLink_t about;
extern const ApEventLink_t about_links[];
extern ApWidget_t dsabout[5];

#ifdef __cplusplus
extern "C" {
#endif
int phreshold_init( int argc, char **argv );
int phreshold_setup( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int phreshold_destroyed( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int menu_about_phreshold( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int menu_file_play( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int menu_file_exit( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int about_setup( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int phreshold_window( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
#ifdef __cplusplus
}
#endif
